/** CPU Module Interface
 **/

module main(
	input  wire        clk,		               //     clk.clk
	output wire [7:0]  LED,	                  //     led.export
	output wire [14:0] memory_mem_a,          //  memory.mem_a
	output wire [2:0]  memory_mem_ba,         //        .mem_ba
	output wire        memory_mem_ck,         //        .mem_ck
	output wire        memory_mem_ck_n,       //        .mem_ck_n
	output wire        memory_mem_cke,        //        .mem_cke
	output wire        memory_mem_cs_n,       //        .mem_cs_n
	output wire        memory_mem_ras_n,      //        .mem_ras_n
	output wire        memory_mem_cas_n,      //        .mem_cas_n
	output wire        memory_mem_we_n,       //        .mem_we_n
	output wire        memory_mem_reset_n,    //        .mem_reset_n
	inout  wire [31:0] memory_mem_dq,         //        .mem_dq
	inout  wire [3:0]  memory_mem_dqs,        //        .mem_dqs
	inout  wire [3:0]  memory_mem_dqs_n,      //        .mem_dqs_n
	output wire        memory_mem_odt,        //        .mem_odt
	output wire [3:0]  memory_mem_dm,         //        .mem_dm
	input  wire        memory_oct_rzqin,      //        .oct_rzqin
	input  wire        reset_n,    			   //   reset.reset_n
	input  wire			KEY0
);

// HPS Wire
wire [7:0] led;

// Interfaccia della CPU
CPUInterface u0 (
	.clk_clk                        (clk),
	.led_external_connection_export (led),
	.memory_mem_a                   (memory_mem_a),       // memory.mem_a
	.memory_mem_ba                  (memory_mem_ba),      //       .mem_ba
	.memory_mem_ck                  (memory_mem_ck),      //       .mem_ck
	.memory_mem_ck_n                (memory_mem_ck_n),    //       .mem_ck_n
	.memory_mem_cke                 (memory_mem_cke),     //       .mem_cke
	.memory_mem_cs_n                (memory_mem_cs_n),    //       .mem_cs_n
	.memory_mem_ras_n               (memory_mem_ras_n),   //       .mem_ras_n
	.memory_mem_cas_n               (memory_mem_cas_n),   //       .mem_cas_n
	.memory_mem_we_n                (memory_mem_we_n),    //       .mem_we_n
	.memory_mem_reset_n             (memory_mem_reset_n), //       .mem_reset_n
	.memory_mem_dq                  (memory_mem_dq),      //       .mem_dq
	.memory_mem_dqs                 (memory_mem_dqs),     //       .mem_dqs
	.memory_mem_dqs_n               (memory_mem_dqs_n),   //       .mem_dqs_n
	.memory_mem_odt                 (memory_mem_odt),     //       .mem_odt
	.memory_mem_dm                  (memory_mem_dm),      //       .mem_dm
	.memory_oct_rzqin               (memory_oct_rzqin),   //       .oct_rzqin
	.reset_reset_n                  (reset_n)
);

// Controllo dei LED
// Assegnazione delle uscite
assign LED = KEY0 ? led : 8'h55;

endmodule
