/*
 * Baremetal 01
 * siccome lo userled sembra non fuzionare, occorre necessariamente creare una
 * interfaccia con la FPGA per il contorllo dei LED.
 *
 * Inoltre in futuro, se il binario verrà caricato da Linux, occorrerà:
 * - disabilitare la comunicazione su UARD riscrivendo gli IO
 * - scrivere le infocrmazioni un un buffer circolare a cui Linux può accedere
 */

#ifndef soc_cv_av
#define soc_cv_av
#endif

#include "socal/hps.h"			// bring in the view from the processor
#include "headers/hps_0.h"		// bring in the view from the dmas
#include "headers/CPUInterface.h"
#include <stdio.h>
int __auto_semihosting;

#define REG(x) (*((unsigned int*)(x)))

int main()
{
	volatile unsigned long int count = 0;
	volatile unsigned x;
	volatile unsigned *led = (void*)HPS_0_ARM_A9_1_LED_BASE;
	
	printf("\n\tCALZO - Baremetal Test 01\n\r");
	
	while(1)
	{
		count++;
		if(count > 2000000)	// circa 1 secondo
		{
			count = 0;

			if(REG(HPS_0_ARM_A9_1_HPS_0_GPIO1_BASE+0x50) & (1<<25))	// ovvero la KEY0 NON è premuta
				printf("ADDR=%08X\tLED=%08X\n\n\r", HPS_0_ARM_A9_1_LED_BASE, REG(HPS_0_ARM_A9_1_LED_BASE));
			else
			{
				printf("GPIO VALUE:\t%08X\t%08X\t%08X\n\r", 
						REG(HPS_0_ARM_A9_1_HPS_0_GPIO0_BASE+0x50),
						REG(HPS_0_ARM_A9_1_HPS_0_GPIO1_BASE+0x50),
						REG(HPS_0_ARM_A9_1_HPS_0_GPIO2_BASE+0x50));

				x = REG(HPS_0_ARM_A9_1_LED_BASE);
				x++;
				*led = x;		
			}
		}
	}
	
	return 0;
}
